var trackInfoDragItem = "";

if (!filesystem.itemExists(preferences.lyricsWidget.value)) {
    var defaultPath = system.userWidgetsFolder + "/Sing that iTune!.widget";
    preferences.lyricsWidget.value = defaultPath;
    savePreferences();
}

function setLyricsSearchItem(filename) {
    preferences.lyricsLookupSite.value = "WIDGET";
    preferences.lyricsWidget.value = filename;
    print("Set lyricsWidget to " + filename);
    for (var i = 0; i < 2; i++) {
        trackInfo.color = trackInfo.normalColor;
        sleep(100);
        trackInfo.color = trackInfo.activeColor;
        sleep(100);
    }
    lookupLyrics();
}

function lookupAllMusic() {
    // How to do searches by HTTP POST?
}

function lookupFakeBook() {
    // Omit parenthesized portions of title and artist.
    var title = iTunes.trackTitle.replace(/\([^)]*\)/g, '');

    openURL('http://www.seventhstring.co.uk/fbindex.html?z_bklist=2&z_dpage=Results&z_titlelen=0&cs1=1&cs2=1&cs3=1&cs5=1&cs6=1&cs8=1&cs9=1&aeb=1&hl1=1&hl10=1&hl11=1&hl2=1&hl3=1&hl8=1&hl9=1&hl4=1&hl5=1&hl6=1&hl7=1&fm1=1&fm2=1&fm3=1&fm4=1&fm5=1&cc0=1&lg1=1&ltfk=1&wb1=1&wb2=1&wb3=1&bbeb=1&jbg=1&sb2=1&le1=1&dh1=1&dh2=1&lhb=1&pm=1&jchl=1&cmhl=1&kbhl=1&alhl=1&bef=1&omni=1&gs0=1&gs1=1&jb0=1&jb1=1&jb2=1&ab0=1&pk0=1&pk1=1&orb1=1&orb2=1&orb3=1&ovrb=1&sch=1&z_srchstr=' + escape(title).replace(/%20/g, '+'));
}

function lookupLyrics() {

    // Omit parenthesized portions of title and artist.
    var title = iTunes.trackTitle.replace(/\([^)]*\)/g, '');
    var artist = iTunes.trackArtist.replace(/\([^)]*\)/g, '');

    switch (preferences.lyricsLookupSite.value) {
        case "WIDGET":                          
            if (filesystem.itemExists(preferences.lyricsWidget.value))
                filesystem.open(preferences.lyricsWidget.value);
            else {
                var choice = alert("The lyrics handler \"" + convertPathToPlatform(preferences.lyricsWidget.value, true) + "\" could not be found.\n\nI highly recommend downloading Toru Yano's \"Sing that iTune!\" widget for this function.  Click on Get Widgets to download lyrics widgets from the Konfabulator gallery.\n\nClick on Open Prefs to set which widget or application to use for lyrics searching.  Alternatively, you can set lyrics searching to open a database search in your web browser.", "Open Prefs…", "Get Widgets…", "Cancel");
                if (choice == 1)
                    showWidgetPreferences();
                else if (choice == 2) 
                    openURL("http://widgetgallery.com/index.php?search=lyrics");
            }
            break;
        case "LEO":
            openURL('http://www.leoslyrics.com/search.php?search=' + escape(artist + ' ' + title) + '&sartist=1&ssongtitle=1');
            break;
        case "ASTRAWEB":
            openURL('http://search.lyrics.astraweb.com/?word=' + escape(artist + ' ' + title).replace(/%20/g, '+'));
            break;
        case "ROBOT":
            openURL('http://www.lyricsrobot.com/cgi-bin/lsearch.pl?terms=' + escape(artist) + '&mode=group&direct=1');
            break;
        default:
    }
}
