
var getTimeStamp;
var openiTunes;
var menuSeparator = new MenuItem();
menuSeparator.enabled = false;

if (system.platform == "macintosh")
{
    iTunes.quit = function () {
        telliTunes("quit");
    }

    getTimeStamp = function () {
        return system.event.timestamp;
    }
    
    openiTunes = function () {
        telliTunes('set win to the browser window "iTunes" \n' +
                   'if the visible of win is true and frontmost is true then \n' +
                   '    set visible of win to false \n' +
                   'else \n' +
                   '    set frontmost to true \n' +
                   '    set visible of win to true \n' +
                   'end if \n');
    }
    
    menuSeparator.title = "(-";
}
else
{
    var _iTunesCOM = null;
    function iTunesCOM () {
        if (!_iTunesCOM)
            _iTunesCOM = COM.createObject("iTunes.Application");
        return _iTunesCOM;
    }
    
    function iTunesCOMDisconnect () {
        _iTunesCOM = null;
    }
    
    iTunes.quit = function () {
        iTunesCOM().Quit();
        iTunesCOMDisconnect();
    }
    
    getTimeStamp = function () {
        return (new Date).valueOf();
    }
    
    openiTunes = function () {
        var a = iTunesCOM();
        if (a.BrowserWindow.Visible && !a.BrowserWindow.Minimized)
            a.BrowserWindow.Minimized = true;
        else {
            a.BrowserWindow.Visible = true;
            a.BrowserWindow.Minimized = false;
        }
    }
    
    menuSeparator.title = "-";
}
