function convertSkins() {
    var folder = chooseFolder();
    var list = filesystem.getDirectoryContents(folder);
    for (var i in list) {
        var skinDir = folder + "/" + list[i];
        print("Converting " + skinDir);
        var plist = eval(filesystem.readFile(skinDir + "/Skin Info.js"));
        var doc = XMLDOM.createDocument();
        doc.appendChild(objToDOMNode("skin", plist, doc));
        filesystem.writeFile(skinDir + "/Skin Info.xml", doc.toXML());
    }
}

function objToDOMNode(name, obj, doc) {
    if (!doc)
        doc = XMLDOM.createDocument();
    name = translateElement(name);
    var node = doc.createElement(name);
    for (var i in obj) {
        if (obj[i] == null) {
            continue;
        }
        if (typeof obj[i] == "object") {
            node.appendChild(objToDOMNode(i, obj[i], doc));
        }
        else {
            node.setAttribute(translateAttribute(i), obj[i]);
        }
    }
    return node;
}

function translateElement(name) {
    switch (name) {
        case "iTunesButton":    return "iTunesPopup";       break;
        case "shuttle":         return "transport_dot";     break;
        case "shuttleFrame":    return "transport_frame";   break;
        default:
            var buttonIndex = name.indexOf("Button");
            if (buttonIndex > 0)
                return name.substring(0, buttonIndex)
            else
                return name;
    }
}

function translateAttribute(name) {
    switch (name) {
        case "shuttleHOffset":  return "dotOffset";         break;
        default:
            return name;
    }
}


