
function inspect (obj, label) {
    if (label)
        print(label);
    print(obj_to_str(obj, 1));
}

function obj_to_str(obj, level) {
    if (!level)
        level = 0;
    if (typeof obj == "object") {
        var str = "";
        for (i in obj)
            str += "\n" + _spaces_(level*2) + i + ": " + obj[i];
        return str;
    }
    else
        return String(obj);
}

function _spaces_(n) {
    var str = "";
    for (var i = 0; i < n; i++)
        str += " ";
    return str;
}

function classOf(obj) {
    if (typeof obj != "object")
        throw new TypeError("Expected an object but got " + (typeof obj));
    return obj.toString().slice(8, -1);
}
