
function _resizeInit () {
    this.mouseDown = 1;
    this.x0 = system.event.hOffset;
    this.y0 = system.event.vOffset;
    this.w0 = this.resizeWindow.width;
    this.h0 = this.resizeWindow.height;
}

function _resizeMove () {
    var x = system.event.hOffset;
    var y = system.event.vOffset;
    if (this.mouseDown == 1) {
        var newWidth = this.w0 + x - this.x0;
        var newHeight = this.h0 + y - this.y0;
        if (newWidth != this.w0 || newHeight != this.h0) {
            this.doResize(newWidth, newHeight);
        }
    }
}

function _resizeDone () {
    this.mouseDown = 0
}

art_resize.doResize = function (w, h) {
    preferences.artworkSize.value = (w + h) / 2;
    setupArtworkWindow();
}
art_resize.resizeWindow = artwork_window;

function _main_resize (w, h) {
    preferences.windowWidth.value = w;
    createGUI(false);
}


