function iTunesStatus() {
    this.clear();
}

iTunesStatus.prototype.update = function () {
    var updated = false;
    var newVal;
    newVal = iTunes.running;
    if (this.running != newVal) {
        this.running = newVal;
        updated = true;
    }
    if (this.running) {
        for (var i in this._fieldMap) {
            newVal = this._fieldMap[i]();
            if (this[i] != newVal) {
                this[i] = newVal;
                updated = true;
            }
        }
    }
    else {
        this.clear();
    }
    return updated;
}

iTunesStatus.prototype.clear = function () {
    for (var i in this._fieldDefaults) {
        this[i] = this._fieldDefaults[i];
    }
}



iTunesStatus.prototype._fieldMap = {
    player: function () { return iTunes.playerStatus; },
    volume: function () { return iTunes.volume; },
    position: function () { return iTunes.playerPosition; }
}

iTunesStatus.prototype._fieldDefaults = {
    running: false,
    player: "stopped",
    volume: 0,
    position: 0
}